
varying vec3 eye;
varying vec3 texspaceEye;

varying vec3 normal;
varying vec3 tangent;
varying vec3 binormal;

varying vec2 texCoord;


void main(void)
{
  tangent = normalize(gl_NormalMatrix * vec3(gl_MultiTexCoord2));
  binormal = normalize(gl_NormalMatrix * vec3(gl_MultiTexCoord3));
  normal = normalize(gl_NormalMatrix * gl_Normal);
  
  eye = -vec3(gl_ModelViewMatrix * gl_Vertex);
  texspaceEye[0] = dot(eye, tangent);
  texspaceEye[1] = dot(eye, binormal);
  texspaceEye[2] = dot(eye, normal);
  
  texCoord = gl_MultiTexCoord0.xy;
  
  gl_Position = ftransform();
}
